Skip to main content
Posts

Delete a post by ID

DELETE/v1/posts/{postId}

Authorization

accessKey
x-access-key<token>

In: header

Path Parameters

postId*string

Post identifier

Query Parameters

deleteFromPlatforms?boolean

When true, also delete supported published platform posts. Costs 1 credit per successful platform deletion.

Defaultfalse

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/v1/posts/string"
{
  "success": true,
  "creditsCharged": 0,
  "platforms": [
    {
      "platform": "string",
      "integrationId": "string",
      "platformPostId": "string",
      "status": "string",
      "success": true,
      "message": "string",
      "errorMessage": "string"
    }
  ]
}
{
  "success": true,
  "message": "string"
}
{
  "success": true,
  "message": "string"
}
{
  "success": true,
  "message": "string"
}